using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsWorkRequestToAccident {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkRequestId { get; set; }
        [Key]
        public int AccidentId { get; set; }

        [ForeignKey("SiteId,AccidentId")]
        [InverseProperty("FmsWorkRequestToAccident")]
        public virtual FmsAccident FmsAccident { get; set; }
        [ForeignKey("SiteId,WorkRequestId")]
        [InverseProperty("FmsWorkRequestToAccident")]
        public virtual FmsWorkRequest FmsWorkRequest { get; set; }

    }
}
